Loading...
Searching...
No Matches
uhd::compat_num< major_type, minor_type > Class Template Reference

Compat number representation class. More...

`#include <uhd/utils/compat_check.hpp>`

## Public Member Functions

constexpr | compat_num (major_type major, minor_type minor)
major_type | get_major () const
major_type | get_minor () const
bool | operator== (const compat_num< major_type, minor_type > &rhs) const
bool | operator!= (const compat_num< major_type, minor_type > &rhs) const
bool | operator< (const compat_num< major_type, minor_type > &rhs) const
bool | operator<= (const compat_num< major_type, minor_type > &rhs) const
bool | operator> (const compat_num< major_type, minor_type > &rhs) const
bool | operator>= (const compat_num< major_type, minor_type > &rhs) const
std::string | to_string () const

## Protected Attributes

major_type | _major
minor_type | _minor

## Detailed Description

template<typename major_type, typename minor_type>
class uhd::compat_num< major_type, minor_type >

Compat number representation class.

## Constructor & Destructor Documentation

## compat_num()

template<typename major_type, typename minor_type>

uhd::compat_num< major_type, minor_type >::compat_num | ( | major_type | major,
|  | minor_type | minor )

inline constexpr

## Member Function Documentation

## get_major()

template<typename major_type, typename minor_type>

major_type uhd::compat_num< major_type, minor_type >::get_major | ( |  | ) | const

inline

## get_minor()

template<typename major_type, typename minor_type>

major_type uhd::compat_num< major_type, minor_type >::get_minor | ( |  | ) | const

inline

## operator!=()

template<typename major_type, typename minor_type>

bool uhd::compat_num< major_type, minor_type >::operator!= | ( | const compat_num< major_type, minor_type > & | rhs | ) | const

inline

## operator<()

template<typename major_type, typename minor_type>

bool uhd::compat_num< major_type, minor_type >::operator< | ( | const compat_num< major_type, minor_type > & | rhs | ) | const

inline

## operator<=()

template<typename major_type, typename minor_type>

bool uhd::compat_num< major_type, minor_type >::operator<= | ( | const compat_num< major_type, minor_type > & | rhs | ) | const

inline

## operator==()

template<typename major_type, typename minor_type>

bool uhd::compat_num< major_type, minor_type >::operator== | ( | const compat_num< major_type, minor_type > & | rhs | ) | const

inline

## operator>()

template<typename major_type, typename minor_type>

bool uhd::compat_num< major_type, minor_type >::operator> | ( | const compat_num< major_type, minor_type > & | rhs | ) | const

inline

## operator>=()

template<typename major_type, typename minor_type>

bool uhd::compat_num< major_type, minor_type >::operator>= | ( | const compat_num< major_type, minor_type > & | rhs | ) | const

inline

## to_string()

template<typename major_type, typename minor_type>

std::string uhd::compat_num< major_type, minor_type >::to_string | ( |  | ) | const

inline

## Member Data Documentation

## _major

template<typename major_type, typename minor_type>

major_type uhd::compat_num< major_type, minor_type >::_major

protected

## _minor

template<typename major_type, typename minor_type>

minor_type uhd::compat_num< major_type, minor_type >::_minor

protected

The documentation for this class was generated from the following file:

- compat_check.hpp